import * as i0 from '@angular/core';
import { Directive, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import '@cds/core/icon/register.js';

/*
 * Copyright (c) 2016-2023 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
class CdsIconDirective {
    constructor(elementRef) {
        this.element = elementRef.nativeElement;
    }
    get shape() {
        return this.element.shape;
    }
    set shape(value) {
        this.element.shape = value;
    }
    ;
    get size() {
        return this.element.size;
    }
    set size(value) {
        this.element.size = value;
    }
    ;
    get direction() {
        return this.element.direction;
    }
    set direction(value) {
        this.element.direction = value;
    }
    ;
    get flip() {
        return this.element.flip;
    }
    set flip(value) {
        this.element.flip = value;
    }
    ;
    get solid() {
        return this.element.solid;
    }
    set solid(value) {
        this.element.solid = value === '' ? true : value;
    }
    ;
    get status() {
        return this.element.status;
    }
    set status(value) {
        this.element.status = value;
    }
    ;
    get inverse() {
        return this.element.inverse;
    }
    set inverse(value) {
        this.element.inverse = value === '' ? true : value;
    }
    ;
    get badge() {
        return this.element.badge;
    }
    set badge(value) {
        this.element.badge = value;
    }
    ;
}
CdsIconDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.12", ngImport: i0, type: CdsIconDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
CdsIconDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "12.0.0", version: "13.3.12", type: CdsIconDirective, selector: "cds-icon", inputs: { shape: "shape", size: "size", direction: "direction", flip: "flip", solid: "solid", status: "status", inverse: "inverse", badge: "badge" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.12", ngImport: i0, type: CdsIconDirective, decorators: [{
            type: Directive,
            args: [{ selector: 'cds-icon' }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { shape: [{
                type: Input
            }], size: [{
                type: Input
            }], direction: [{
                type: Input
            }], flip: [{
                type: Input
            }], solid: [{
                type: Input
            }], status: [{
                type: Input
            }], inverse: [{
                type: Input
            }], badge: [{
                type: Input
            }] } });

/*
 * Copyright (c) 2016-2023 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */
class CdsIconModule {
}
CdsIconModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.3.12", ngImport: i0, type: CdsIconModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
CdsIconModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.3.12", ngImport: i0, type: CdsIconModule, declarations: [CdsIconDirective], imports: [CommonModule], exports: [CdsIconDirective] });
CdsIconModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.3.12", ngImport: i0, type: CdsIconModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.3.12", ngImport: i0, type: CdsIconModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        CdsIconDirective,
                    ],
                    exports: [
                        CdsIconDirective,
                    ],
                }]
        }] });

/*
 * Copyright (c) 2016-2023 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */

/*
 * Copyright (c) 2016-2023 VMware, Inc. All Rights Reserved.
 * This software is released under MIT license.
 * The full license information can be found in LICENSE in the root directory of this project.
 */

/**
 * Generated bundle index. Do not edit.
 */

export { CdsIconDirective, CdsIconModule };
//# sourceMappingURL=icon.mjs.map
